import { IRootStore } from '../../store/RootStore';
export declare class ContentItemHandler {
    private root;
    constructor(root: IRootStore);
    get catalogService(): string;
    get mediaService(): string;
    get organization(): import("../..").OrganizationData | undefined;
    get user(): import("../..").UserData | undefined;
    get langs(): string[];
    get jwt(): string | undefined;
    getContentItem(id: string, lang: string): Promise<{
        content: any;
        title?: string;
        _id: string;
    }>;
    private getHeaders;
}
//# sourceMappingURL=index.d.ts.map